Recommended update for azure-li-services

SUSE Recommended Update: Recommended update for azure-li-services
Announcement ID: SUSE-RU-2019:0171-1
Rating: moderate
References: #1103542 #1105612 #1120522
Affected Products:
  • SUSE Linux Enterprise Module for Public Cloud 12

An update that has three recommended fixes can now be installed.

Description:


This update for azure-li-services to 1.1.20 fixes the following issues:

  • Fixup createrepo requirement

createrepo is no longer part of SLE15. The successor of this package is createrepo_c an implementation in C. Therefore the requires statement in the spec file should be changed to work with both distributions: SLE12 and SLE15.
  • Support MTU setup for standard and vlan interfaces

Enhanced the config schema to allow the networking attributes mtu and vlan_mtu as optional arguments to configure the maximum transfer unit for the interface and/or its virtual type. In addition add a differentiator for the VeryLarge instance types in generation 3 and its successor. For Gen3 VeryLarge instance types the network setup was not yet defined because we haven't started to support this target. However the successor of the VeryLarge instance type is similar in the infrastructure and boot compared to the LargeInstance type and can be covered by the network service in the same way. This Fixes #105 and Fixes bsc#1120522

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Public Cloud 12:
    zypper in -t patch SUSE-SLE-Module-Public-Cloud-12-2019-171=1

Package List:

  • SUSE Linux Enterprise Module for Public Cloud 12 (noarch):
    • azure-li-services-1.1.20-1.11.1

References: